Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class BaseTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag

Direct Known Subclasses:
  GetPropertyTag, PrintDocTag, SelectByIdTag, SelectTag

public abstract class BaseTag
extends javax.servlet.jsp.tagext.TagSupport

The base class for all content tags.

This provides support for the `failOnError`, `readOnly`, `useCache`, `cacheScope`, `cacheId`, and `cacheTimeout` parameters.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `cacheId` The cache id.
`protected java.lang.String` | `cacheScope` The cache scope.
`protected long` | `cacheTimeout` The cache timeout.
`protected boolean` | `failOnError` Are we supposed to fail (i.e.
`protected boolean` | `readOnly` Deprecated. No longer needed.
`protected boolean` | `useCache` Should this try to use the ContentCache.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`BaseTag()`

Method Summary
`java.lang.String` | `getCacheId()` Get the cacheId which should be used.
`java.lang.String` | `getCacheScope()` Get the value of `cacheScope`.
`java.lang.String` | `getCacheTimeout()` Get the value of `cacheTimeout`.
`java.lang.String` | `getFailOnError()` Get the value of `failOnError` as a string.
`javax.servlet.http.HttpSession` | `getHttpSession()` Get the current HttpSession.
`java.lang.String` | `getReadOnly()` Deprecated. No longer needed.
`java.lang.String` | `getUseCache()` Get the value of `useCache`.
`java.lang.String` | `getUserId()` Get the user id of the current user.
`void` | `release()` Release the tag by setting everything to the default.
`void` | `setCacheId(java.lang.String s)` Set the value of `cacheId`.
`void` | `setCacheScope(java.lang.String s)` Get the value of `cacheScope`.
`void` | `setCacheTimeout(long l)` Set the value of `cacheTimeout`.
`void` | `setCacheTimeout(java.lang.String v)` Set the value of `cacheTimeout`.
`void` | `setFailOnError(boolean b)` Set the value of `failOnError`.
`void` | `setFailOnError(java.lang.String s)` Set the value of `failOnError`.
`void` | `setReadOnly(boolean b)` Deprecated. No longer needed.
`void` | `setReadOnly(java.lang.String s)` Deprecated. No longer needed.
`void` | `setUseCache(boolean b)` Set the value of `useCache`.
`void` | `setUseCache(java.lang.String s)` Set the value of `useCache`.
`static java.util.Map` | `toDictionary(java.lang.String in)` Convert a semi-colon separated of "name=value" pairs into a map.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### failOnError

    protected boolean failOnError

  Are we supposed to fail (i.e. throw an exception) on an error.

### readOnly

    protected boolean readOnly

  Deprecated. No longer needed.
  Are we supposed to get readonly versions of things.

### useCache

    protected boolean useCache

  Should this try to use the ContentCache.

### cacheScope

    protected java.lang.String cacheScope

  The cache scope.

  This should correspond to something which the `ContentCache` understands. The standard values are "application", "session", "page", and "request".

### cacheId

    protected java.lang.String cacheId

  The cache id.

  When accessing the cache, in general, if this is not set, then the ID should be used.

### cacheTimeout

    protected long cacheTimeout

  The cache timeout.

Constructor Detail

### BaseTag

    public BaseTag()

Method Detail

### release

    public void release()

  Release the tag by setting everything to the default.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Get the current HttpSession.

### getFailOnError

    public java.lang.String getFailOnError()

  Get the value of `failOnError` as a string.

### setFailOnError

    public void setFailOnError(java.lang.String s)

  Set the value of `failOnError`.

### setFailOnError

    public void setFailOnError(boolean b)

  Set the value of `failOnError`.

### getReadOnly

    public java.lang.String getReadOnly()

  Deprecated. No longer needed.
  Get the value of `readOnly` as a String.

### setReadOnly

    public void setReadOnly(java.lang.String s)

  Deprecated. No longer needed.
  Set the value of `readOnly`.

### setReadOnly

    public void setReadOnly(boolean b)

  Deprecated. No longer needed.
  Set the value of `readOnly`.

### getUseCache

    public java.lang.String getUseCache()

  Get the value of `useCache`.

### setUseCache

    public void setUseCache(java.lang.String s)

  Set the value of `useCache`.

### setUseCache

    public void setUseCache(boolean b)

  Set the value of `useCache`.

### getCacheScope

    public java.lang.String getCacheScope()

  Get the value of `cacheScope`.

### setCacheScope

    public void setCacheScope(java.lang.String s)

  Get the value of `cacheScope`.

### getCacheId

    public java.lang.String getCacheId()

  Get the cacheId which should be used.

### setCacheId

    public void setCacheId(java.lang.String s)

  Set the value of `cacheId`.

### getCacheTimeout

    public java.lang.String getCacheTimeout()

  Get the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(java.lang.String v)

  Set the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(long l)

  Set the value of `cacheTimeout`.

### getUserId

    public java.lang.String getUserId()

  Get the user id of the current user.

### toDictionary

    public static java.util.Map toDictionary(java.lang.String in)

  Convert a semi-colon separated of "name=value" pairs into a map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved